# TdApi.InputStoryContent (TDLight API 4.0.458 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: InputStoryContent

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputStoryContent

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputStoryContent

Direct Known Subclasses:
  `TdApi.InputStoryContentPhoto`, `TdApi.InputStoryContentVideo`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.InputStoryContent extends TdApi.Object permits TdApi.InputStoryContentPhoto, TdApi.InputStoryContentVideo
This class is an abstract base class. The content of a story to send.

## Constructor Summary

Constructors
Constructor
Description
`InputStoryContent()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InputStoryContent

public InputStoryContent()
Default class constructor.